# Drop

The dropper is part the of the deaddrop project.

It is the server that handles the requests of clients.
By default it listens on localhost port 8080.
The repo includes a simple script to create an onion service
for this server.

## Required software:

- dmd
- dub

## Building 

```bash
$ git clone http://repourl/dropper.git drop
$ cd dropper
$ dub build --build=release
```

## Simple usage:

```bash
./drop
```

## Running as an onion service

Append the following lines to your /etc/tor/torrc config:

```bash
HiddenServiceDir /var/lib/tor/deaddrop/
HiddenServicePort 80 127.0.0.1:8080
HiddenServiceVersion 3
```

To get the onion address simple run this command:

```bash
$ sudo cat /var/lib/tor/deaddrop/hostname
```

